# GearmanJob::sendException

(PECL gearman >= 0.6.0)

GearmanJob::sendException — Send exception for running job (exception)

### Beschreibung

public GearmanJob::sendException(string `$exception`): bool

Sends the supplied exception when this job is running.

### Parameter-Liste

`exception`

  An exception description.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Siehe auch

- GearmanJob::setReturn() - Set a return value
- GearmanJob::sendStatus() - Send status
- GearmanJob::sendWarning() - Send a warning

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open